package main

import (
	"bufio"
	"fmt"
	"os"
	"strings"

	"github.com/alexroel/calculadora/operadores"
)

func main() {
	scanner := bufio.NewScanner(os.Stdin)
	fmt.Println("La Calculadora ")
	scanner.Scan()
	operacion := scanner.Text()

	resultado := 0
	if strings.Contains(operacion, "+") {
		resultado = operadores.Sumar(operacion)
	} else if strings.Contains(operacion, "-") {
		resultado = operadores.Restar(operacion)
	} else if strings.Contains(operacion, "*") {
		resultado = operadores.Multiplicar(operacion)
	} else if strings.Contains(operacion, "/") {
		resultado = operadores.Dividir(operacion)
	} else {
		fmt.Println("Error: El Operador está mal Ingresado, ")
		fmt.Println("o ¡¡Sólo debes realizar con un Operador!!")
		fmt.Println("o ¡¡Este Operador no esta implementado!!")
	}

	fmt.Println(resultado)
}
